Subject: Re: [PATCH v4 4/4] builtin/stash: provide a way to import stashes from a ref

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Apr 2022 14:43:52 -0700

"brian m. carlson" <[email-masked]> writes:

> For example, since our throwaway commits are empty, it would seem
> bizarre to users that someone pushed a commit with an empty tree, but if
> they see that the commits are stash commits, that may help them have
> useful context.

Understood.  Also recording the tree of the state the stash entry
represents the working tree state (instead of an empty tree) might
make it easier to see.  Then even in UI like GitHub web interface,
the users can inspect how various paths in the tree looks like.

> I'm happy to add a few more tests for this in a followup series.  I'll
> likely get to it this weekend and can include some checks for the commit
> message and some improved verification of commits in the testsuite.  I
> don't think this should hold up the rest of the series, however.

THanks.